Subject: Re: Using Transifex in git.git

From: Andreas Ericsson <[email-masked]>
Date: Tue, 14 Jun 2011 14:07:08 +0200

On 06/14/2011 11:37 AM, Ævar Arnfjörð Bjarmason wrote:
> On Tue, Jun 14, 2011 at 07:57, Ramkumar Ramachandra<[email-masked]>  wrote:
>> Hi Dimitris et al,
>>
>> [+CC: Git List; for wider exposure]
>> [+CC: Jonathan Nieder; he has been involved with translations in the past]
>> [+CC: Junio C Hamano; for authoritative policy advice]
>>
>> I think it's a good idea to use a system like Transifex to manage
>> translations for git.git, so that we can attract a large number of
>> non-technical translators.  Further, I think it's a good time to start
>> off on this now, since many of the i18n bits from Ævar's series are in
>> 'master'.  So, I'm looking to start off a discussion about how to
>> adapt a translation system into our current patch workflow.  Dimitris
>> is the lead developer of Transifex, and can help with the details.
> 
> Turns out I have two E-Mails related to this in my inbox. Below
> follows the reply I sent to the other one in private mail, but applies
> here too:
> 
>   * Any way of editing the translations will have to comply with git's
>    normal patch submission process.
> 
>    When you normally submit a patch to Git you have to write a
>    sensible commit message for it, change one logical thing at a time,
>    and you have to agree to the contributor's agreement by adding a
>    Signed-off-by to your Git commit.
> 

Historically, a translation for one language has been considered "one
logical change" in that respect. I think it's safe to assume that if
we want translators to stick around they shouldn't need to divide their
changes on a per-message or per-command basis. Especially since such
divisions wouldn't be very easy to do if all you've got to go on is
a pot-file.

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231

Considering the successes of the wars on alcohol, poverty, drugs and
terror, I think we should give some serious thought to declaring war
on peace.